Subject: Re: [patch 07/18] PS3: Make ps3av.h usable from user space

From: Christoph Hellwig <[email-masked]>
Date: Thu, 7 Jun 2007 21:15:53 +0200

On Wed, Jun 06, 2007 at 09:44:03AM -0700, Geoff Levand wrote:
> Christoph Hellwig wrote:
> > On Tue, Jun 05, 2007 at 08:00:07PM -0700, Geoff Levand wrote:
> >> The user applications to manage the PS3 AV modes can use values
> >> defined in this header.
> > 
> > NACK.  First please don't introduce new unifdef-y headers but always
> > separated them.  Second I don't see any of the values actually used
> > in a user<->kerne interface.  If the application only happens to use
> > the same values it should ship a copy of the header intead.
> 
> Yes, they are currently used with ioctl for video mode selection
> by the ps3videomode utility.
> 
> OK, you recommend having two headers one for the kernel and one for
> the application or library, then keeping them in sync.  I think
> in some ways that is easier for the package user also, since there
> is no dependency on kernel headers.  It does mean that the package
> definitions need to be kept up to date.

Now that we're actually using it for the ioctls it's fine to export
it.  But please use a separate header that contains just these bits
instead of introducing more headers that need unifdefing.